<script setup lang="ts">
// 製作者 樋渡
import CCImageMenuButton from '../CCImageMenuButton.vue'

/**
 * 画像用のメニューボタン
 * @param str download | edit | delete | shareUrl
 */
const clickAction = (str: string) => {
  if (str === 'download') alert('ダウンロードをクリック')
  if (str === 'edit') alert('編集をクリック')
  if (str === 'delete') alert('削除をクリック')
  if (str === 'shareUrl') alert('共有用URLをクリック')
}
</script>

<template>
  <CCImageMenuButton :uploaded="true" @click="clickAction" />
</template>

<style lang="sass" scoped></style>
